@font-face {
    font-family: 'instagramplus';
    src:  url('../font/instagramplus.eot');
    src:  url('../font/instagramplus.eot#iefix') format('embedded-opentype'),
    url('../font/instagramplus.ttf') format('truetype'),
    url('../font/instagramplus.woff') format('woff'),
    url('../font/instagramplus.svg') format('svg');
    font-weight: normal;
    font-style: normal;
}

.dklab_instagram_widget_in {
  position: relative;
  display: flex;
  flex-wrap: wrap;
}
.dklab_instagram_widget_in:after {
  position: absolute;
  left: 20%;
  top: 50%;
  width: 60%;
  background: rgba(0,0,0,0.75);
  color: white;
  font-size: 160%;
  height: 70px;
  margin-top: -35px; 
  line-height: 70px;
  text-align: center;
  overflow: hidden;
  transition: height 350ms;
}
.dklab_instagram_widget_in:hover:after {
  height: 0px;
}
.dklab_instagram_widget_box {
  overflow: hidden;
  width: 12.5%;
  min-width: 12.5%;
  max-width: 12.5%;
}
.dklab_instagram_widget_box>a, .dklab_instagram_widget_box>a>img {
  -webkit-transition: 450ms;
  -moz-transition: 450ms;
  -ms-transition: 450ms;
  -o-transition: 450ms;
  transition: 450ms;
}
.dklab_instagram_widget_box>a {
  position: relative;
  display: block;
  text-decoration: none;
}
.dklab_instagram_widget_box>a>img {
  width: 100%;
  display: block;
}
.dklab_instagram_widget_box>a:hover {

}
.dklab_instagram_widget_box>a:hover>img {

}

.dklab_instagram_widget_box>a:after {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 200%;
  color: white;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  opacity: 0;
  font-family: 'instagramplus';
  content: '\e901';
  transition: opacity 450ms;
  background: rgba(0,0,0,0.40);
}
.dklab_instagram_widget_box>a:hover:after {
  opacity: 1;
}

@media screen and (max-width: 1200px){
  .dklab_instagram_widget_box {
    width: 25%;
    min-width: 25%;
    max-width: 25%;
  }
  .dklab_instagram_widget_in:after {
    font-size: 120%;
  }
}

@media screen and (max-width: 991px){
  .dklab_instagram_widget_in:after {
    font-size: 110%;
  }
}


@media screen and (max-width: 767px){
  .dklab_instagram_widget_in:after {
    left: 10%;
    top: 30%;
    width: 80%;
    font-size: 120%;
    height: 40%;
    margin-top: 0px; 
    line-height: 1.3;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .dklab_instagram_widget_box {
    width: 33.333%;
    min-width: 33.333%;
    max-width: 33.333%;
  }
  .dklab_instagram_widget_box:nth-of-type(7),
  .dklab_instagram_widget_box:nth-of-type(8) {
    display: none;
  }
}